package com.glxp.udidl.admin.dao.sys;

import com.glxp.udidl.admin.dto.sys.SysUserParam;
import com.glxp.udidl.admin.entity.sys.SysUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysUserMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SysUser record);

    SysUser selectByPrimaryKey(Integer id);

    List<SysUser> selectAll();

    int updateByPrimaryKey(SysUser record);
    int hasAuthPerms(@Param("userKey") String user_key, @Param("perms" ) String perms);
    List<SysUser> list(SysUserParam param);
}