package com.glxp.udidl.admin.entity.sys;

import lombok.Data;

import java.util.Date;

/**
 * 
 *
 * @author hong
 * @date   2022/01/17
 */
@Data
public class SysMenu {
    /**
     * 编号
     */
    private Integer id;

    /**
     * 菜单名称
     */
    private String name;

    /**
     * 父菜单ID
     */
    private Integer parentId;

    /**
     * 菜单类型M: 目录, C: 菜单,F: 资源 
     */
    private String type;

    /**
     * 权限标识
     */
    private String perms;

    /**
     * 状态（0启用 1禁用）
     */
    private String status;
    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建时间
     */
    private Date createTime;

}