package com.glxp.udidl.admin.entity.sys;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 
 *
 * @author hong
 * @date   2022/01/17
 */
@Data
public class SysUser {
    /**
     * 用户ID
     */
    private Integer id;

    /**
     * 用户key, 登录用
     */
    private String userKey;

    /**
     * 用户账号
     */
    private String userName;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 密码
     */
    private String password;
    /**
     * 状态（0启用 1禁用）
     */
    private String status;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 角色ID
     */
    private Integer roleId;

   private String udplat_appId;
   private String udplat_secretKey;
   private String udplat_userName;
}