package com.glxp.udidl.admin.entity.udid;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 定时器数据同步日志
 */
@Data
//@Table("job_log")
public class JobLog {
    private Integer id;
    private String type;//类型: error; info; warning ...
    protected String downloadType; //下载类型：auto(自动下载),manual(手动下载)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date downloadDate;//数据下载日期
    private Integer totalCount;//下载提示总行数
    private Integer realCount;//实际总行数
    private Integer insertCount;//插入总行数
    private String msg;//提示信息
    private String content;//详情内容
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;//创建实际
}
