package com.glxp.udidl.admin.entity.udplat;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 配送企业
 *
 * @author hong
 * @date   2022/01/19
 */
@Data
public class UdplatDistributor {
    /**
     * 
     */
    private Integer id;

    /**
     * 配送企业id
     */
    private String distributorId;

    /**
     * 配送企业编码
     */
    private String distributorCode;

    /**
     * 配送企业名称
     */
    private String distributorName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;


}