package com.glxp.udidl.admin.entity.udplat;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 生产企业清单
 *
 * @author hong
 * @date   2022/01/19
 */
@Data
public class UdplatManufacture {
    /**
     * 
     */
    private Integer id;

    /**
     * 生产企业id
     */
    private String manufactureId;

    /**
     * 生产企业编码
     */
    private String manufactureCode;

    /**
     * 生产企业名称
     */
    private String manufactureName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;


}