package com.glxp.udidl.admin.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

/**
 * 分页的表单
 */
@Data
public class ListPageRequest {
    @ApiModelProperty(value = "页码",required=true,example = "1")
    @Min(message = "分页参数错误", value = 1)
    private Integer page;

    @ApiModelProperty(value = "行数",required = true,example = "10")
    @Min(value = 1, message = "分页参数不能小于1")
    @Max(value = 1000, message = "分页参数不能大于50")
    private Integer limit;

}
