package com.glxp.udidl.admin.util;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;

public class FileUtils {
    public static void exportToFile(HttpServletResponse response,String str,String fileName){
        response.setCharacterEncoding("utf-8");
        response.setContentType("application/octet-stream");
        response.setHeader("content-type","application/octet-stream");
        response.addHeader("Content-Disposition","attachment;filename="+genAttachmentFileName(fileName,"default")+".json");
        BufferedOutputStream buff=null;
        ServletOutputStream outStr = null;
        try{
            outStr = response.getOutputStream();
            buff = new BufferedOutputStream(outStr);
            buff.write(str.getBytes(StandardCharsets.UTF_8));
            buff.flush();
            buff.close();
        }catch (Exception e){

        }finally {
            try{
                buff.close();;
                outStr.close();
            }catch (Exception e){}

        }
    }
    public static String exportToFile(String str,String path){
        try
        {
            BufferedWriter bw = new BufferedWriter(new FileWriter(path,false));
            bw.write(str) ;
            bw.newLine();
            bw.close();
        }catch (Exception e){
            return e.getMessage();
        }
       return "success";
    }
    public static void getFile(HttpServletResponse response,String path){
        try {
            InputStream inputStream = new FileInputStream(path);// 文件的存放路径
            response.reset();
            response.setContentType("application/octet-stream");
            String filename = new File(path).getName();
            response.addHeader("Content-Disposition", "attachment; filename=" + URLEncoder.encode(filename, "UTF-8"));
            ServletOutputStream outputStream = response.getOutputStream();
            byte[] b = new byte[1024];
            int len;
            //从输入流中读取一定数量的字节，并将其存储在缓冲区字节数组中，读到末尾返回-1
            while ((len = inputStream.read(b)) > 0) {
                outputStream.write(b, 0, len);
            }
            inputStream.close();
        }catch (Exception e){

        }

    }
    private static  String genAttachmentFileName(String cnName,String defaultName){
        try{
            cnName = new String(cnName.getBytes("gb2312"),"ISO8859-1");

        }catch (Exception e){
            cnName = defaultName;
        }
        return  cnName;
    }
}
