package com.glxp.udidl.common.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 返回结果类
 * @param <T>
 */
@Data
public class BaseResponse<T> {

    public boolean success(){return this.code.equals(20000);};
    @ApiModelProperty(position = 0)
    private Integer code;
    @ApiModelProperty(position = 1)
    private String message;
    @ApiModelProperty(position = 2)
    private T data;
}
