package com.glxp.udidl.admin.entity.info;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class FileInfoEntity {
    private Integer Id;
    private String type;    //类型 如 productInfo 可填表名
    private String downloadType;//下载类型：auto(自动下载),manual(手动下载)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date startDate;
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date endDate;
    private String fileName;//文件名
    private Integer count ; //数量
    private long fileSize;//文件大小
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;//创建时间

}
