package com.glxp.udidl.admin.entity.udplat;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 医疗机构
 *
 * @author hong
 * @date   2022/01/19
 */
@Data
public class UdplatHospital {
    /**
     * 
     */
    private Integer id;

    /**
     * 医疗机构ID
     */
    private String purchaseId;

    /**
     * 医疗机构编码
     */
    private String purchaseCode;

    /**
     * 医疗机构名称
     */
    private String purchaseName;

    /**
     * 医疗机构区域名称
     */
    private String purchaseArea;

    /**
     * 医疗机构区域ID
     */
    private String purchaseAreaId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;


}