package com.glxp.udidl.admin.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 简单的分页返回对象
 */
@Data
public class PageSimpleResponse<T> {
    // 总数
    @ApiModelProperty(value = "总数",position = 0)
    private Long total;
    // 列表
    @ApiModelProperty(value = "列表",position = 1)
    private List<T> list;
}
