package com.glxp.udidl.admin.util;

import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

public class BeanUtils extends org.springframework.beans.BeanUtils{
    /**
     * list复制
     * @param input
     * @param clzz
     * @param <E>
     * @param <T>
     * @return
     */
    public static  <E,T> List<T> convertList2List(List<E> input, Class<T> clzz){
        List<T> output = new ArrayList<>();
        if(!CollectionUtils.isEmpty(input)){
            for(E source:input){
                T target = org.springframework.beans.BeanUtils.instantiate(clzz);
                org.springframework.beans.BeanUtils.copyProperties(source,target);
                output.add(target);
            }
        }
        return  output;
    }
    public static String getUUId() {
        UUID uuid = UUID.randomUUID();
        return uuid.toString().replace("-", "");
    }

}
